aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/new21
1 files changed, 17 insertions, 4 deletions
diff --git a/bin/new b/bin/new
index e6d176c..c64d0d5 100755
--- a/bin/new
+++ b/bin/new
@@ -1,7 +1,10 @@
#!/bin/bash
#
-# generate new content
+# Generate new content.
+#
+# Usage:
+# bin/new [post|article] SLUG
#
# Examples:
# # create new post with slug "great-news" and title "Great News"
@@ -10,17 +13,27 @@
# # create new article with slug "some-stuff" and title "Some Stuff"
# bin/new article some-stuff
#
-# # create new project with slug "cool-app" and title "Cool App"
-# bin/new project cool-app
+# # print help
+# bin/new help
#
+# set sane error handling
+set -eu
+
+# switch on type
if [ "$1" = 'post' ]; then
DATE=$(date +%Y-%m-%d)
exec hugo new --editor $EDITOR posts/"$DATE"-"$2".md
elif [ "$1" = 'project' ]; then
- exec hugo new --editor $EDITOR projects/"$2".md
+ # disabled, use projects.yaml instead
+ # exec hugo new --editor $EDITOR projects/"$2".md
+ echo "Error: Populate data/projects.yaml instead."
elif [ "$1" = 'article' ]; then
+ # create article
exec hugo new --editor $EDITOR articles/"$2".md
+elif [ "$1" = 'help' -o "x$1" = 'x' ]; then
+ # print usage
+ echo "Usage: $0 [post|article]"
else
echo "unknown type: $1"
fi